org.apache.sysds.hops.codegen.cplan

## Enum CNodeBinary.BinType

- java.lang.Object
- - java.lang.Enum<CNodeBinary.BinType>
  - - org.apache.sysds.hops.codegen.cplan.CNodeBinary.BinType

- All Implemented Interfaces:
    Serializable, Comparable<CNodeBinary.BinType>
  Enclosing class:
    CNodeBinary

      public static enum CNodeBinary.BinType
      extends Enum<CNodeBinary.BinType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AND`
    `BITWAND`
    `DIV`
    `DOT_PRODUCT`
    `EQUAL`
    `GREATER`
    `GREATEREQUAL`
    `INTDIV`
    `LESS`
    `LESSEQUAL`
    `LOG`
    `LOG_NZ`
    `MAX`
    `MIN`
    `MINUS`
    `MINUS_NZ`
    `MINUS1_MULT`
    `MODULUS`
    `MULT`
    `NOTEQUAL`
    `OR`
    `PLUS`
    `POW`
    `SEQ_RIX`
    `VECT_BIASADD`
    `VECT_BIASMULT`
    `VECT_BITWAND`
    `VECT_BITWAND_SCALAR`
    `VECT_CBIND`
    `VECT_CBIND_ADD`
    `VECT_DIV`
    `VECT_DIV_ADD`
    `VECT_DIV_SCALAR`
    `VECT_EQUAL`
    `VECT_EQUAL_ADD`
    `VECT_EQUAL_SCALAR`
    `VECT_GREATER`
    `VECT_GREATER_ADD`
    `VECT_GREATER_SCALAR`
    `VECT_GREATEREQUAL`
    `VECT_GREATEREQUAL_ADD`
    `VECT_GREATEREQUAL_SCALAR`
    `VECT_LESS`
    `VECT_LESS_ADD`
    `VECT_LESS_SCALAR`
    `VECT_LESSEQUAL`
    `VECT_LESSEQUAL_ADD`
    `VECT_LESSEQUAL_SCALAR`
    `VECT_MATRIXMULT`
    `VECT_MAX`
    `VECT_MAX_ADD`
    `VECT_MAX_SCALAR`
    `VECT_MIN`
    `VECT_MIN_ADD`
    `VECT_MIN_SCALAR`
    `VECT_MINUS`
    `VECT_MINUS_ADD`
    `VECT_MINUS_SCALAR`
    `VECT_MULT`
    `VECT_MULT_ADD`
    `VECT_MULT_SCALAR`
    `VECT_NOTEQUAL`
    `VECT_NOTEQUAL_ADD`
    `VECT_NOTEQUAL_SCALAR`
    `VECT_OUTERMULT_ADD`
    `VECT_PLUS`
    `VECT_PLUS_ADD`
    `VECT_PLUS_SCALAR`
    `VECT_POW_ADD`
    `VECT_POW_SCALAR`
    `VECT_XOR`
    `VECT_XOR_ADD`
    `VECT_XOR_SCALAR`
    `XOR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `contains(String value)`
    `String` | `getTemplate(boolean sparseLhs, boolean sparseRhs, boolean scalarVector, boolean scalarInput)`
    `CNodeBinary.BinType` | `getVectorAddPrimitive()`
    `String` | `getVectorPrimitiveName()`
    `boolean` | `isCommutative()`
    `boolean` | `isVectorMatrixPrimitive()`
    `boolean` | `isVectorPrimitive()`
    `boolean` | `isVectorScalarPrimitive()`
    `boolean` | `isVectorVectorPrimitive()`
    `static CNodeBinary.BinType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CNodeBinary.BinType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DOT_PRODUCT

          public static final CNodeBinary.BinType DOT_PRODUCT

    - #### VECT_MATRIXMULT

          public static final CNodeBinary.BinType VECT_MATRIXMULT

    - #### VECT_OUTERMULT_ADD

          public static final CNodeBinary.BinType VECT_OUTERMULT_ADD

    - #### VECT_MULT_ADD

          public static final CNodeBinary.BinType VECT_MULT_ADD

    - #### VECT_DIV_ADD

          public static final CNodeBinary.BinType VECT_DIV_ADD

    - #### VECT_MINUS_ADD

          public static final CNodeBinary.BinType VECT_MINUS_ADD

    - #### VECT_PLUS_ADD

          public static final CNodeBinary.BinType VECT_PLUS_ADD

    - #### VECT_POW_ADD

          public static final CNodeBinary.BinType VECT_POW_ADD

    - #### VECT_MIN_ADD

          public static final CNodeBinary.BinType VECT_MIN_ADD

    - #### VECT_MAX_ADD

          public static final CNodeBinary.BinType VECT_MAX_ADD

    - #### VECT_EQUAL_ADD

          public static final CNodeBinary.BinType VECT_EQUAL_ADD

    - #### VECT_NOTEQUAL_ADD

          public static final CNodeBinary.BinType VECT_NOTEQUAL_ADD

    - #### VECT_LESS_ADD

          public static final CNodeBinary.BinType VECT_LESS_ADD

    - #### VECT_LESSEQUAL_ADD

          public static final CNodeBinary.BinType VECT_LESSEQUAL_ADD

    - #### VECT_GREATER_ADD

          public static final CNodeBinary.BinType VECT_GREATER_ADD

    - #### VECT_GREATEREQUAL_ADD

          public static final CNodeBinary.BinType VECT_GREATEREQUAL_ADD

    - #### VECT_CBIND_ADD

          public static final CNodeBinary.BinType VECT_CBIND_ADD

    - #### VECT_XOR_ADD

          public static final CNodeBinary.BinType VECT_XOR_ADD

    - #### VECT_MULT_SCALAR

          public static final CNodeBinary.BinType VECT_MULT_SCALAR

    - #### VECT_DIV_SCALAR

          public static final CNodeBinary.BinType VECT_DIV_SCALAR

    - #### VECT_MINUS_SCALAR

          public static final CNodeBinary.BinType VECT_MINUS_SCALAR

    - #### VECT_PLUS_SCALAR

          public static final CNodeBinary.BinType VECT_PLUS_SCALAR

    - #### VECT_POW_SCALAR

          public static final CNodeBinary.BinType VECT_POW_SCALAR

    - #### VECT_MIN_SCALAR

          public static final CNodeBinary.BinType VECT_MIN_SCALAR

    - #### VECT_MAX_SCALAR

          public static final CNodeBinary.BinType VECT_MAX_SCALAR

    - #### VECT_EQUAL_SCALAR

          public static final CNodeBinary.BinType VECT_EQUAL_SCALAR

    - #### VECT_NOTEQUAL_SCALAR

          public static final CNodeBinary.BinType VECT_NOTEQUAL_SCALAR

    - #### VECT_LESS_SCALAR

          public static final CNodeBinary.BinType VECT_LESS_SCALAR

    - #### VECT_LESSEQUAL_SCALAR

          public static final CNodeBinary.BinType VECT_LESSEQUAL_SCALAR

    - #### VECT_GREATER_SCALAR

          public static final CNodeBinary.BinType VECT_GREATER_SCALAR

    - #### VECT_GREATEREQUAL_SCALAR

          public static final CNodeBinary.BinType VECT_GREATEREQUAL_SCALAR

    - #### VECT_CBIND

          public static final CNodeBinary.BinType VECT_CBIND

    - #### VECT_XOR_SCALAR

          public static final CNodeBinary.BinType VECT_XOR_SCALAR

    - #### VECT_BITWAND_SCALAR

          public static final CNodeBinary.BinType VECT_BITWAND_SCALAR

    - #### VECT_MULT

          public static final CNodeBinary.BinType VECT_MULT

    - #### VECT_DIV

          public static final CNodeBinary.BinType VECT_DIV

    - #### VECT_MINUS

          public static final CNodeBinary.BinType VECT_MINUS

    - #### VECT_PLUS

          public static final CNodeBinary.BinType VECT_PLUS

    - #### VECT_MIN

          public static final CNodeBinary.BinType VECT_MIN

    - #### VECT_MAX

          public static final CNodeBinary.BinType VECT_MAX

    - #### VECT_EQUAL

          public static final CNodeBinary.BinType VECT_EQUAL

    - #### VECT_NOTEQUAL

          public static final CNodeBinary.BinType VECT_NOTEQUAL

    - #### VECT_LESS

          public static final CNodeBinary.BinType VECT_LESS

    - #### VECT_LESSEQUAL

          public static final CNodeBinary.BinType VECT_LESSEQUAL

    - #### VECT_GREATER

          public static final CNodeBinary.BinType VECT_GREATER

    - #### VECT_GREATEREQUAL

          public static final CNodeBinary.BinType VECT_GREATEREQUAL

    - #### VECT_XOR

          public static final CNodeBinary.BinType VECT_XOR

    - #### VECT_BITWAND

          public static final CNodeBinary.BinType VECT_BITWAND

    - #### VECT_BIASADD

          public static final CNodeBinary.BinType VECT_BIASADD

    - #### VECT_BIASMULT

          public static final CNodeBinary.BinType VECT_BIASMULT

    - #### MULT

          public static final CNodeBinary.BinType MULT

    - #### DIV

          public static final CNodeBinary.BinType DIV

    - #### PLUS

          public static final CNodeBinary.BinType PLUS

    - #### MINUS

          public static final CNodeBinary.BinType MINUS

    - #### MODULUS

          public static final CNodeBinary.BinType MODULUS

    - #### INTDIV

          public static final CNodeBinary.BinType INTDIV

    - #### LESS

          public static final CNodeBinary.BinType LESS

    - #### LESSEQUAL

          public static final CNodeBinary.BinType LESSEQUAL

    - #### GREATER

          public static final CNodeBinary.BinType GREATER

    - #### GREATEREQUAL

          public static final CNodeBinary.BinType GREATEREQUAL

    - #### EQUAL

          public static final CNodeBinary.BinType EQUAL

    - #### NOTEQUAL

          public static final CNodeBinary.BinType NOTEQUAL

    - #### MIN

          public static final CNodeBinary.BinType MIN

    - #### MAX

          public static final CNodeBinary.BinType MAX

    - #### AND

          public static final CNodeBinary.BinType AND

    - #### OR

          public static final CNodeBinary.BinType OR

    - #### XOR

          public static final CNodeBinary.BinType XOR

    - #### LOG

          public static final CNodeBinary.BinType LOG

    - #### LOG_NZ

          public static final CNodeBinary.BinType LOG_NZ

    - #### POW

          public static final CNodeBinary.BinType POW

    - #### BITWAND

          public static final CNodeBinary.BinType BITWAND

    - #### SEQ_RIX

          public static final CNodeBinary.BinType SEQ_RIX

    - #### MINUS1_MULT

          public static final CNodeBinary.BinType MINUS1_MULT

    - #### MINUS_NZ

          public static final CNodeBinary.BinType MINUS_NZ

  - ### Method Detail

    - #### values

          public static CNodeBinary.BinType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CNodeBinary.BinType c : CNodeBinary.BinType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CNodeBinary.BinType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### contains

          public static boolean contains(String value)

    - #### isCommutative

          public boolean isCommutative()

    - #### getTemplate

          public String getTemplate(boolean sparseLhs,
                                    boolean sparseRhs,
                                    boolean scalarVector,
                                    boolean scalarInput)

    - #### isVectorPrimitive

          public boolean isVectorPrimitive()

    - #### isVectorScalarPrimitive

          public boolean isVectorScalarPrimitive()

    - #### isVectorVectorPrimitive

          public boolean isVectorVectorPrimitive()

    - #### isVectorMatrixPrimitive

          public boolean isVectorMatrixPrimitive()

    - #### getVectorAddPrimitive

          public CNodeBinary.BinType getVectorAddPrimitive()

    - #### getVectorPrimitiveName

          public String getVectorPrimitiveName()

Copyright © 2020 The Apache Software Foundation. All rights reserved.